Bug 783789 - [ovirt][engine][core] - exception when trying to fence a SPM host that moved to non responsive
Summary: [ovirt][engine][core] - exception when trying to fence a SPM host that moved ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: unspecified
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: lpeer
QA Contact:
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-22 14:39 UTC by yeylon@redhat.com
Modified: 2016-04-18 06:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-12 07:33:03 UTC
oVirt Team: ---


Attachments (Terms of Use)
log (440.75 KB, application/octet-stream)
2012-01-22 14:39 UTC, yeylon@redhat.com
no flags Details

Description yeylon@redhat.com 2012-01-22 14:39:45 UTC
Created attachment 556791 [details]
log

Description of problem:

host F-16
 fence-agents-3.1.7-3.fc16.x86_64 
vdsm-4.9.3.1-0.fc16.x86_64

stop vdsm on the SPM host.

the management will try to fence it but will fail with exception.

please see attached ovirt log for full information.


!!!BTW!!! - the host will be powered off and not restarted!!!
from the proxy vdsm log
""""
secure=no out Success: Powered OFF
""""

=====================================
engine log 
-----------



2012-01-22 16:23:12,562 INFO  [org.ovirt.engine.core.bll.storage.FenceVdsManualyCommand] (pool-5-thread-48) Running command: FenceVdsManualyCommand internal: true. Entities affected :  ID: 0c51a1da
-427e-11e1-92b5-001a4a169742 Type: VDS
2012-01-22 16:23:12,601 INFO  [org.ovirt.engine.core.bll.storage.FenceVdsManualyCommand] (pool-5-thread-48) Trying to fence spm green-vdsd via vds green-vdsc
2012-01-22 16:23:12,605 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FenceSpmStorageVDSCommand] (pool-5-thread-48) START, FenceSpmStorageVDSCommand(vdsId = 1ac24280-4501-11e1-b4eb-001a4a169742,
 storagePoolId = ed2e4e8a-41aa-11e1-8f2b-001a4a169742, prevId=1, prevLVER=0), log id: 6d2e0c51
2012-01-22 16:23:12,630 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-5-thread-48) Command org.ovirt.engine.core.vdsbroker.vdsbroker.FenceSpmStorageVDSCommand return val
ue
 Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusOnlyReturnForXmlRpc
mStatus                       Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusForXmlRpc
mCode                         654
mMessage                      Not SPM


2012-01-22 16:23:12,630 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-5-thread-48) Vds: green-vdsc
2012-01-22 16:23:12,631 ERROR [org.ovirt.engine.core.vdsbroker.VDSCommandBase] (pool-5-thread-48) Command FenceSpmStorageVDS execution failed. Exception: IRSNonOperationalException: IRSGenericExcep
tion: IRSErrorException: IRSNonOperationalException: Not SPM
2012-01-22 16:23:12,631 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FenceSpmStorageVDSCommand] (pool-5-thread-48) FINISH, FenceSpmStorageVDSCommand, log id: 6d2e0c51
2012-01-22 16:23:12,631 WARN  [org.ovirt.engine.core.bll.storage.FenceVdsManualyCommand] (pool-5-thread-48) Could not fence spm on vds green-vdsc
2012-01-22 16:23:12,634 INFO  [org.ovirt.engine.core.bll.storage.FenceVdsManualyCommand] (pool-5-thread-48) Lock freed to object EngineLock [exclusiveLocks= key: org.ovirt.engine.core.bll.storage.F
enceVdsManualyCommand value: 0c51a1da-427e-11e1-92b5-001a4a169742
, sharedLocks= ]
2012-01-22 16:23:12,678 ERROR [org.ovirt.engine.core.bll.CommandsFactory] (pool-5-thread-48) CommandsFactory [parameter: VdcActionParametersBase]: Failed to get type information using reflection fo
r Action: StartVds: java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) [:1.6.0_22]
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57) [:1.6.0_22]
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) [:1.6.0_22]
        at java.lang.reflect.Constructor.newInstance(Constructor.java:532) [:1.6.0_22]
        at org.ovirt.engine.core.bll.CommandsFactory.CreateCommand(CommandsFactory.java:85) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:257) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runInternalAction(Backend.java:240) [engine-bll.jar:]
        at sun.reflect.GeneratedMethodAccessor139.invoke(Unknown Source) [:1.6.0_22]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [:1.6.0_22]
        at java.lang.reflect.Method.invoke(Method.java:616) [:1.6.0_22]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee-7.1.
0.Beta1b.jar:]


=======================================

proxy server vdsm log
---------------------

Thread-365::DEBUG::2012-01-22 16:22:20,264::task::980::TaskManager.Task::(_decref) Task=`a812d0de-2b30-4e12-8ef6-85d8c8150128`::ref 0 aborting False
Thread-355::DEBUG::2012-01-22 16:22:24,294::clientIF::1252::vds::(waitForPid) rc 0 inp agent=fence_bladecenter
ipaddr=bc1.qa.lab.tlv.redhat.com
login=USERID
option=off
passwd=XXXX
port=5
secure=no out Success: Powered OFF
 err
Thread-369::DEBUG::2012-01-22 16:22:27,836::task::588::TaskManager.Task::(_updateState) Task=`05049b2b-af42-4249-816b-40a4d3e77b80`::moving from state init -> state preparing
Thread-369::INFO::2012-01-22 16:22:27,836::logUtils::37::dispatcher::(wrapper) Run and protect: repoStats(options=None)
Thread-369::INFO::2012-01-22 16:22:27,837::logUtils::39::dispatcher::(wrapper) Run and protect: repoStats, Return response: {'d2199c04-f1f6-4e16-aa18-4f6bba7d0d37': {'delay': '0.00183916091919', 'lastCheck': 1327242143.787942, 'code': 0, 'valid': True}, '4db354b8-311f-4912-bb56-bc686df24383': {'delay': '0.0024049282074', 'lastCheck': 1327242145.611057, 'code': 0, 'valid': True}, 'd1451ca8-15bd-460e-89fd-5755d9bc75c4': {'delay': '0.00204086303711', 'lastCheck': 1327242138.76854, 'code': 0, 'valid': True}}


=====================================================








Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Haim 2012-01-30 16:35:04 UTC
managed to reproduce with latest ovirt-engine;

ovirt-engine-3.0.0_0001-1.4.fc16.x86_64

Comment 2 Itamar Heim 2012-12-12 07:33:03 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.